Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Committing automatically generated file (after the "sed" dependancy
[simgrid.git] / examples / java / comm_time / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #########################
18 # How to compile the code
19 # All this to only get a dumb javac *java... Automake still have issues with java
20
21 # Makefile chunk which allows to display the files which should be included
22 # into the distribution.
23
24 # It is intended to be included in all Makefile.am 
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
45         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
46 subdir = examples/java/comm_time
47 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
49         $(top_srcdir)/acmacro/compiler-flags.m4 \
50         $(top_srcdir)/acmacro/context.m4 \
51         $(top_srcdir)/acmacro/fancy_configury.m4 \
52         $(top_srcdir)/acmacro/flex.m4 \
53         $(top_srcdir)/acmacro/gras_arch.m4 \
54         $(top_srcdir)/acmacro/print_null.m4 \
55         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
56 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
57         $(ACLOCAL_M4)
58 mkinstalldirs = $(install_sh) -d
59 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
60 CONFIG_CLEAN_FILES =
61 SOURCES =
62 DIST_SOURCES =
63 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 ACLOCAL = @ACLOCAL@
66 ADDR2LINE = @ADDR2LINE@
67 AMTAR = @AMTAR@
68 AM_CPPFLAGS = @AM_CPPFLAGS@
69 AR = @AR@
70 AS = @AS@
71 AUTOCONF = @AUTOCONF@
72 AUTOHEADER = @AUTOHEADER@
73 AUTOMAKE = @AUTOMAKE@
74 AWK = @AWK@
75 BASH = @BASH@
76 CC = @CC@
77 CCDEPMODE = @CCDEPMODE@
78 CFLAGS = @CFLAGS@
79 CPP = @CPP@
80 CPPFLAGS = @CPPFLAGS@
81 CXX = @CXX@
82 CXXCPP = @CXXCPP@
83 CXXDEPMODE = @CXXDEPMODE@
84 CXXFLAGS = @CXXFLAGS@
85 CYGPATH_W = @CYGPATH_W@
86 DEFS = @DEFS@
87 DEPDIR = @DEPDIR@
88 DLLTOOL = @DLLTOOL@
89 DOXYGEN = @DOXYGEN@
90 ECHO = @ECHO@
91 ECHO_C = @ECHO_C@
92 ECHO_N = @ECHO_N@
93 ECHO_T = @ECHO_T@
94 EGREP = @EGREP@
95 EXEEXT = @EXEEXT@
96 FLEXML = @FLEXML@
97 GCJ = @GCJ@
98 GCJDEPMODE = @GCJDEPMODE@
99 GCJFLAGS = @GCJFLAGS@
100 GRAS_DEP = @GRAS_DEP@
101 GREP = @GREP@
102 INSTALL = @INSTALL@
103 INSTALL_DATA = @INSTALL_DATA@
104 INSTALL_PROGRAM = @INSTALL_PROGRAM@
105 INSTALL_SCRIPT = @INSTALL_SCRIPT@
106 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
107 JAR = @JAR@
108 JAVA = @JAVA@
109 JAVAC = @JAVAC@
110 LDFLAGS = @LDFLAGS@
111 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
112 LEX = @LEX@
113 LEXLIB = @LEXLIB@
114 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
115 LIBOBJS = @LIBOBJS@
116 LIBS = @LIBS@
117 LIBTOOL = @LIBTOOL@
118 LN_S = @LN_S@
119 LTLIBOBJS = @LTLIBOBJS@
120 MAINT = @MAINT@
121 MAKEINFO = @MAKEINFO@
122 MD5SUM = @MD5SUM@
123 MKDIR_P = @MKDIR_P@
124 OBJDUMP = @OBJDUMP@
125 OBJEXT = @OBJEXT@
126 PACKAGE = @PACKAGE@
127 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
128 PACKAGE_NAME = @PACKAGE_NAME@
129 PACKAGE_STRING = @PACKAGE_STRING@
130 PACKAGE_TARNAME = @PACKAGE_TARNAME@
131 PACKAGE_VERSION = @PACKAGE_VERSION@
132 PATH_SEPARATOR = @PATH_SEPARATOR@
133 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
134 RANLIB = @RANLIB@
135 SET_MAKE = @SET_MAKE@
136 SHELL = @SHELL@
137 SIMGRID_DEP = @SIMGRID_DEP@
138 SMPI_DEP = @SMPI_DEP@
139 STRIP = @STRIP@
140 VERSION = @VERSION@
141 WARNING = @WARNING@
142 abs_builddir = @abs_builddir@
143 abs_srcdir = @abs_srcdir@
144 abs_top_builddir = @abs_top_builddir@
145 abs_top_srcdir = @abs_top_srcdir@
146 ac_configure_args = @ac_configure_args@
147 ac_ct_CC = @ac_ct_CC@
148 ac_ct_CXX = @ac_ct_CXX@
149 am__include = @am__include@
150 am__leading_dot = @am__leading_dot@
151 am__quote = @am__quote@
152 am__tar = @am__tar@
153 am__untar = @am__untar@
154 bindir = @bindir@
155 build = @build@
156 build_alias = @build_alias@
157 build_cpu = @build_cpu@
158 build_id = @build_id@
159 build_os = @build_os@
160 build_vendor = @build_vendor@
161 builddir = @builddir@
162 datadir = @datadir@
163 datarootdir = @datarootdir@
164 docdir = @docdir@
165 dvidir = @dvidir@
166 exec_prefix = @exec_prefix@
167 host = @host@
168 host_alias = @host_alias@
169 host_cpu = @host_cpu@
170 host_os = @host_os@
171 host_vendor = @host_vendor@
172 htmldir = @htmldir@
173 includedir = @includedir@
174 infodir = @infodir@
175 install_sh = @install_sh@
176 libdir = @libdir@
177 libexecdir = @libexecdir@
178 localedir = @localedir@
179 localstatedir = @localstatedir@
180 mandir = @mandir@
181 mkdir_p = @mkdir_p@
182 oldincludedir = @oldincludedir@
183 pdfdir = @pdfdir@
184 prefix = @prefix@
185 program_transform_name = @program_transform_name@
186 psdir = @psdir@
187 pth_skaddr_makecontext = @pth_skaddr_makecontext@
188 pth_sksize_makecontext = @pth_sksize_makecontext@
189 sbindir = @sbindir@
190 sharedstatedir = @sharedstatedir@
191 srcdir = @srcdir@
192 sysconfdir = @sysconfdir@
193 target = @target@
194 target_alias = @target_alias@
195 target_cpu = @target_cpu@
196 target_os = @target_os@
197 target_vendor = @target_vendor@
198 top_builddir = @top_builddir@
199 top_srcdir = @top_srcdir@
200 EXTRA_DIST = comm_time_deployment.xml comm_time_platform.xml surfxml.dtd
201
202 # Declare sources:
203 noinst_JAVA = Master.java Slave.java CommTimeTest.java CommTimeTask.java
204 TESTS = CommTimeTest.class
205 JAVAROOT = .
206 AM_JAVACFLAGS = -classpath $(top_srcdir)/src/simgrid.jar
207
208 ##########################
209 # What to do on make check
210 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
211 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
212 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
213 # We also need to express dependencies manually (in each test dir)
214 # Damn...
215 TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
216                   CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
217                   $(srcdir)/../runtest 
218
219 all: all-am
220
221 .SUFFIXES:
222 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
223         @for dep in $?; do \
224           case '$(am__configure_deps)' in \
225             *$$dep*) \
226               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
227                 && exit 0; \
228               exit 1;; \
229           esac; \
230         done; \
231         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/comm_time/Makefile'; \
232         cd $(top_srcdir) && \
233           $(AUTOMAKE) --gnu  examples/java/comm_time/Makefile
234 .PRECIOUS: Makefile
235 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
236         @case '$?' in \
237           *config.status*) \
238             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
239           *) \
240             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
241             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
242         esac;
243
244 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
245         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
246
247 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
248         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
249 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
250         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
251
252 mostlyclean-libtool:
253         -rm -f *.lo
254
255 clean-libtool:
256         -rm -rf .libs _libs
257
258 classnoinst.stamp: $(noinst_JAVA)
259         @list1='$?'; list2=; if test -n "$$list1"; then \
260           for p in $$list1; do \
261             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
262             list2="$$list2 $$d$$p"; \
263           done; \
264           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
265           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
266         else :; fi
267         echo timestamp > classnoinst.stamp
268
269 clean-noinstJAVA:
270         -rm -f *.class classnoinst.stamp
271 tags: TAGS
272 TAGS:
273
274 ctags: CTAGS
275 CTAGS:
276
277
278 check-TESTS: $(TESTS)
279         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
280         srcdir=$(srcdir); export srcdir; \
281         list=' $(TESTS) '; \
282         if test -n "$$list"; then \
283           for tst in $$list; do \
284             if test -f ./$$tst; then dir=./; \
285             elif test -f $$tst; then dir=; \
286             else dir="$(srcdir)/"; fi; \
287             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
288               all=`expr $$all + 1`; \
289               case " $(XFAIL_TESTS) " in \
290               *$$ws$$tst$$ws*) \
291                 xpass=`expr $$xpass + 1`; \
292                 failed=`expr $$failed + 1`; \
293                 echo "XPASS: $$tst"; \
294               ;; \
295               *) \
296                 echo "PASS: $$tst"; \
297               ;; \
298               esac; \
299             elif test $$? -ne 77; then \
300               all=`expr $$all + 1`; \
301               case " $(XFAIL_TESTS) " in \
302               *$$ws$$tst$$ws*) \
303                 xfail=`expr $$xfail + 1`; \
304                 echo "XFAIL: $$tst"; \
305               ;; \
306               *) \
307                 failed=`expr $$failed + 1`; \
308                 echo "FAIL: $$tst"; \
309               ;; \
310               esac; \
311             else \
312               skip=`expr $$skip + 1`; \
313               echo "SKIP: $$tst"; \
314             fi; \
315           done; \
316           if test "$$failed" -eq 0; then \
317             if test "$$xfail" -eq 0; then \
318               banner="All $$all tests passed"; \
319             else \
320               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
321             fi; \
322           else \
323             if test "$$xpass" -eq 0; then \
324               banner="$$failed of $$all tests failed"; \
325             else \
326               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
327             fi; \
328           fi; \
329           dashes="$$banner"; \
330           skipped=""; \
331           if test "$$skip" -ne 0; then \
332             skipped="($$skip tests were not run)"; \
333             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
334               dashes="$$skipped"; \
335           fi; \
336           report=""; \
337           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
338             report="Please report to $(PACKAGE_BUGREPORT)"; \
339             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
340               dashes="$$report"; \
341           fi; \
342           dashes=`echo "$$dashes" | sed s/./=/g`; \
343           echo "$$dashes"; \
344           echo "$$banner"; \
345           test -z "$$skipped" || echo "$$skipped"; \
346           test -z "$$report" || echo "$$report"; \
347           echo "$$dashes"; \
348           test "$$failed" -eq 0; \
349         else :; fi
350
351 distdir: $(DISTFILES)
352         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
353         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
354         list='$(DISTFILES)'; \
355           dist_files=`for file in $$list; do echo $$file; done | \
356           sed -e "s|^$$srcdirstrip/||;t" \
357               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
358         case $$dist_files in \
359           */*) $(MKDIR_P) `echo "$$dist_files" | \
360                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
361                            sort -u` ;; \
362         esac; \
363         for file in $$dist_files; do \
364           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
365           if test -d $$d/$$file; then \
366             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
367             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
368               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
369             fi; \
370             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
371           else \
372             test -f $(distdir)/$$file \
373             || cp -p $$d/$$file $(distdir)/$$file \
374             || exit 1; \
375           fi; \
376         done
377 check-am: all-am
378         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
379 check: check-am
380 all-am: Makefile classnoinst.stamp
381 installdirs:
382 install: install-am
383 install-exec: install-exec-am
384 install-data: install-data-am
385 uninstall: uninstall-am
386
387 install-am: all-am
388         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
389
390 installcheck: installcheck-am
391 install-strip:
392         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
393           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
394           `test -z '$(STRIP)' || \
395             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
396 mostlyclean-generic:
397
398 clean-generic:
399
400 distclean-generic:
401         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
402
403 maintainer-clean-generic:
404         @echo "This command is intended for maintainers to use"
405         @echo "it deletes files that may require special tools to rebuild."
406 clean: clean-am
407
408 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
409
410 distclean: distclean-am
411         -rm -f Makefile
412 distclean-am: clean-am distclean-generic
413
414 dvi: dvi-am
415
416 dvi-am:
417
418 html: html-am
419
420 info: info-am
421
422 info-am:
423
424 install-data-am:
425
426 install-dvi: install-dvi-am
427
428 install-exec-am:
429
430 install-html: install-html-am
431
432 install-info: install-info-am
433
434 install-man:
435
436 install-pdf: install-pdf-am
437
438 install-ps: install-ps-am
439
440 installcheck-am:
441
442 maintainer-clean: maintainer-clean-am
443         -rm -f Makefile
444 maintainer-clean-am: distclean-am maintainer-clean-generic
445
446 mostlyclean: mostlyclean-am
447
448 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
449
450 pdf: pdf-am
451
452 pdf-am:
453
454 ps: ps-am
455
456 ps-am:
457
458 uninstall-am:
459
460 .MAKE: install-am install-strip
461
462 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
463         clean-libtool clean-noinstJAVA distclean distclean-generic \
464         distclean-libtool distdir dvi dvi-am html html-am info info-am \
465         install install-am install-data install-data-am install-dvi \
466         install-dvi-am install-exec install-exec-am install-html \
467         install-html-am install-info install-info-am install-man \
468         install-pdf install-pdf-am install-ps install-ps-am \
469         install-strip installcheck installcheck-am installdirs \
470         maintainer-clean maintainer-clean-generic mostlyclean \
471         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
472         uninstall uninstall-am
473
474
475 #if HAVE_JAVA
476  # Declare test class
477
478 # declare that we must recompile everything before lauching tests
479 $(TESTS): classnoinst.stamp
480
481 dist-files:
482         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
483         @echo
484         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
485 #endif
486
487 # Cruft
488 # Tell versions [3.59,3.63) of GNU make to not export all variables.
489 # Otherwise a system limit (for SysV at least) may be exceeded.
490 .NOEXPORT: